aboutsummaryrefslogtreecommitdiff
path: root/network/gnubiff/gnubiff.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/gnubiff/gnubiff.SlackBuild')
-rw-r--r--network/gnubiff/gnubiff.SlackBuild34
1 files changed, 5 insertions, 29 deletions
diff --git a/network/gnubiff/gnubiff.SlackBuild b/network/gnubiff/gnubiff.SlackBuild
index 4770fd2db30b..1ad08f2c6ef3 100644
--- a/network/gnubiff/gnubiff.SlackBuild
+++ b/network/gnubiff/gnubiff.SlackBuild
@@ -22,10 +22,8 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by the SlackBuilds.org project
-
PRGNAM=gnubiff
-VERSION=2.2.6
+VERSION=2.2.8
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -34,11 +32,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-GAMIN=${GAMIN:-NO}
-# Slackware 11.0 does not include gamin; however, if you have it installed,
-# change the variable above or run this build script with the following command:
-# GAMIN=YES ./gnubiff.SlackBuild
-
DOCS="ABOUT-NLS AUTHORS BUGS COPYING ChangeLog INSTALL LICENSE NEWS README THANKS TODO"
if [ "$ARCH" = "i486" ]; then
@@ -56,13 +49,6 @@ cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-# If GAMIN=YES above, then enable gamin/fam usage; otherwise, disable it.
-if [ "$GAMIN" = "YES" ]; then
- do_fam="en"
- else
- do_fam="dis"
-fi
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -70,24 +56,13 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--infodir=/usr/info \
--disable-gnome \
- --${do_fam}able-fam \
--with-password \
- --program-prefix="" \
- --build=$ARCH-slackware-linux \
|| exit 1
-
-make || exit 1
-make install DESTDIR=$PKG || exit 1
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
-( cd $PKG/usr/man
- find . -name "*.?" -type f 2> /dev/null | xargs gzip -9 2> /dev/null
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+gzip -9 $PKG/usr/man/man1/* 2> /dev/null
gzip -9 $PKG/usr/info/*.info*
rm -f $PKG/usr/info/dir
@@ -102,6 +77,7 @@ rm -rf $PKG/usr/lib $PKG/usr/share/gnome-2.0
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz